/*

    This control has been developed by YiHai,Baton Rouge,LA,USA.
	
	The control is an Electronic Clock showed in a cool rolling way.
	It a Derived Class from CStatic

    All code can be used or altered in any way you like in conditions that the 
	author's name is mentioned in the suitable place,say,the "About Dialog"

    The author also hold no responsibility for any possible damage caused by the
	code.The user himself will take the risk.
    
	Thanks to Mark Findlay for his "Scrolling credits dialog",which inspired 
	the outcome of this product.
	
	Thanks also to EarthWeb for the oppertunity to voice our voice.

    Last modified:03/10/01

*/


#if !defined(AFX_ROLLINGDIGIT_H__BE76535F_1405_11D5_AC44_0004ACD356DE__INCLUDED_)
#define AFX_ROLLINGDIGIT_H__BE76535F_1405_11D5_AC44_0004ACD356DE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// RollingDigit.h : header file
//
#define BLACK RGB(0,0,0)
#define WHITE RGB(255,255,255)
#define GREEN RGB(0,128,0)

/////////////////////////////////////////////////////////////////////////////
// CRollingClk window

class CRollingClk : public CStatic
{
// Construction
public:
	CRollingClk();

// Attributes
public:
	void CRollingClk::RollingText(CPaintDC &dc,RECT rc, CString Text,CString nexText,CBrush &bkBrush);
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CRollingClk)
	//}}AFX_VIRTUAL

// Implementation
public:
	void SetFirstTime(BOOL bFirstTime);
	BOOL IsFirstTime();

	int m_TimeArray[6];
	UINT m_nElapse;
	CTime m_CurrentTime;
	RECT m_rcCell[8];

	void Start(COLORREF bkColor = BLACK,COLORREF DigitColor=WHITE,UINT nSpeed=5);
	
	int m_Clip;
	CRect m_SrollingRect;
	virtual ~CRollingClk();

	// Generated message map functions
protected:
	COLORREF m_BkColor;
	COLORREF m_DigitColor;

	BOOL m_bFirstTime;

	//{{AFX_MSG(CRollingClk)
	afx_msg void OnPaint();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
private:
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ROLLINGDIGIT_H__BE76535F_1405_11D5_AC44_0004ACD356DE__INCLUDED_)
